ru.bitel.bgbilling.kernel.contract.api.common.bean

## Class ContractNotification

- java.lang.Object
- - ru.bitel.common.model.Id
  - - ru.bitel.common.model.IdTitle
    - - ru.bitel.bgbilling.kernel.contract.api.common.bean.ContractNotification

- All Implemented Interfaces:
    java.io.Serializable, Idable, ListItem

      public class ContractNotification
      extends IdTitle

  Уведомление в договоре (в личном кабинете).
  Author:
    amir
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class ru.bitel.common.model.IdTitle

      `title`

    - ### Fields inherited from class ru.bitel.common.model.Id

      `id`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ContractNotification()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getContractId()`
    `java.util.Date` | `getDateTime()`
    `java.lang.String` | `getMessage()`
    `java.lang.String` | `getSubject()`
    `boolean` | `isRead()`
    `void` | `setContractId(int cid)`
    `void` | `setDateTime(java.util.Date dateTime)`
    `void` | `setMessage(java.lang.String message)`
    `void` | `setRead(boolean isRead)`
    `void` | `setSubject(java.lang.String subject)`

    - ### Methods inherited from class ru.bitel.common.model.IdTitle

      `getTitle, setTitle, toString`

    - ### Methods inherited from class ru.bitel.common.model.Id

      `equals, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap, setId`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface ru.bitel.common.model.ListItem

      `getId`

- - ### Constructor Detail

    - #### ContractNotification

          public ContractNotification()

  - ### Method Detail

    - #### getContractId

          public int getContractId()

    - #### setContractId

          public void setContractId(int cid)

    - #### getSubject

          public java.lang.String getSubject()

    - #### setSubject

          public void setSubject(java.lang.String subject)

    - #### getMessage

          public java.lang.String getMessage()

    - #### setMessage

          public void setMessage(java.lang.String message)

    - #### getDateTime

          public java.util.Date getDateTime()

    - #### setDateTime

          public void setDateTime(java.util.Date dateTime)

    - #### isRead

          public boolean isRead()

    - #### setRead

          public void setRead(boolean isRead)